# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

Packages that use FieldTermStack.TermInfo
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldTermStack.TermInfo in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return FieldTermStack.TermInfo
  Modifier and Type
  Method
  Description
  `FieldTermStack.TermInfo`
  FieldTermStack.TermInfo.`getNext()`
  Returns the next TermInfo at this same position.
  `FieldTermStack.TermInfo`
  FieldTermStack.`pop()`
  Methods in org.apache.lucene.search.vectorhighlight that return types with arguments of type FieldTermStack.TermInfo
  Modifier and Type
  Method
  Description
  `List<FieldTermStack.TermInfo>`
  FieldPhraseList.WeightedPhraseInfo.`getTermsInfos()`
  Methods in org.apache.lucene.search.vectorhighlight with parameters of type FieldTermStack.TermInfo
  Modifier and Type
  Method
  Description
  `int`
  FieldTermStack.TermInfo.`compareTo(FieldTermStack.TermInfo o)`
  `void`
  FieldTermStack.`push(FieldTermStack.TermInfo termInfo)`
  Method parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldTermStack.TermInfo
  Modifier and Type
  Method
  Description
  `boolean`
  FieldQuery.QueryPhraseMap.`isValidTermOrPhrase(List<FieldTermStack.TermInfo> phraseCandidate)`
  `FieldQuery.QueryPhraseMap`
  FieldQuery.QueryPhraseMap.`searchPhrase(List<FieldTermStack.TermInfo> phraseCandidate)`
  `FieldQuery.QueryPhraseMap`
  FieldQuery.`searchPhrase(String fieldName, List<FieldTermStack.TermInfo> phraseCandidate)`
  Constructor parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldTermStack.TermInfo
  Modifier
  Constructor
  Description
  ``
  `WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost)`
  ``
  `WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost, int seqnum)`